Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.transform
Class TransformMessages

    java.lang.Object
      org.apache.tapestry5.internal.transform.TransformMessages

    public class TransformMessages

extends java.lang.Object

Constructor Summary
`TransformMessages()`

Method Summary
`static java.lang.String` | `badMixinConstraintLength(MixinClasses mixin, java.lang.String fieldName)`
`static java.lang.String` | `bindParameterOnlyOnMixin(java.lang.String boundParameterName, ComponentResources resources)`
`static java.lang.String` | `fieldInjectionError(java.lang.String className, java.lang.String fieldName, java.lang.Throwable cause)`
`static java.lang.String` | `illegalNumberOfPageActivationContextHandlers(java.util.List<TransformField> fields)`
`static java.lang.String` | `illegalNumberOfPageActivationContextHandlers2(java.util.List<PlasticField> fields)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformMessages

    public TransformMessages()

Method Detail

### fieldInjectionError

    public static java.lang.String fieldInjectionError(java.lang.String className,
                                                       java.lang.String fieldName,
                                                       java.lang.Throwable cause)

### illegalNumberOfPageActivationContextHandlers

    public static java.lang.String illegalNumberOfPageActivationContextHandlers(java.util.List<TransformField> fields)

### illegalNumberOfPageActivationContextHandlers2

    public static java.lang.String illegalNumberOfPageActivationContextHandlers2(java.util.List<PlasticField> fields)

### badMixinConstraintLength

    public static java.lang.String badMixinConstraintLength(MixinClasses mixin,
                                                            java.lang.String fieldName)

### bindParameterOnlyOnMixin

    public static java.lang.String bindParameterOnlyOnMixin(java.lang.String boundParameterName,
                                                            ComponentResources resources)

  Since:
    5.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.